Range

Bootstrap 5 Range component

A Range is an interactive component that lets the user swiftly slide through possible values spread over the desired range.

Note: Read the API tab to find all available options and advanced customization

Required ES init: Range *
* UMD autoinits are enabled by default. This means that you don't need to initialize the component manually. However if you are using MDBootstrap ES format then you should pass the required components to the initMDB method.

Basic example

Create custom <input type="range"> controls with .form-range. The track (the background) and thumb (the value) are both styled to appear the same across browsers. As only Firefox supports “filling” their track from the left or right of the thumb as a means to visually indicate progress, we do not currently support it.

        
            
          <label class="form-label" for="customRange1">Example range</label>
          <div class="range" data-mdb-range-init>
            <input type="range" class="form-range" id="customRange1" />
          </div>
        
        
    
        
            
          // Initialization for ES Users
          import { Range, initMDB } from "mdb-ui-kit";
          
          initMDB({ Range });
        
        
    

Disabled

Add the disabled boolean attribute on an input to give it a grayed out appearance and remove pointer events.

        
            
          <label class="form-label" for="customRange1">Example range</label>
          <div class="range" data-mdb-range-init>
            <input type="range" class="form-range" id="customRange1" disabled />
          </div>
        
        
    
        
            
          // Initialization for ES Users
          import { Range, initMDB } from "mdb-ui-kit";
          
          initMDB({ Range });
        
        
    

Min and max

Range inputs have implicit values for min and max0 and 100, respectively. You may specify new values for those using the min and max attributes.

        
            
          <label class="form-label" for="customRange2">Example range</label>
          <div class="range" data-mdb-range-init>
            <input type="range" class="form-range" min="0" max="5" id="customRange2" />
          </div>
        
        
    
        
            
          // Initialization for ES Users
          import { Range, initMDB } from "mdb-ui-kit";
          
          initMDB({ Range });
        
        
    

Steps

By default, range inputs “snap” to integer values. To change this, you can specify a step value. In the example below, we double the number of steps by using step="0.5".

        
            
          <label for="customRange3" class="form-label">Example range</label>
          <div class="range" data-mdb-range-init>
            <input type="range" class="form-range" min="0" max="5" step="0.5" id="customRange3" />
          </div>
        
        
    
        
            
          // Initialization for ES Users
          import { Range, initMDB } from "mdb-ui-kit";
          
          initMDB({ Range });
        
        
    

PAY ONCE

USE FOREVER

Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

Range - API


Import

Importing components depends on how your application works. If you intend to use the MDBootstrap ES format, you must first import the component and then initialize it with the initMDB method. If you are going to use the UMD format, just import the mdb-ui-kit package.

        
            
          import { Range, initMDB } from "mdb-ui-kit";
          initMDB({ Range });
        
        
    
        
            
          import "mdb-ui-kit"
        
        
    

Usage

Via data attributes

Using the Range component doesn't require any additional JavaScript code - simply add data-mdb-range-init attribute to .range and use other data attributes to set all options. For ES format, you must first import and call the initMDB method.

        
            
          <label class="form-label" for="customRange1">Example range</label>
          <div class="range" data-mdb-range-init>
            <input type="range" class="form-range" id="customRange1" />
          </div>
        
        
    

Via JavaScript

        
            
        const range = new Range(document.getElementById('range'));
        
        
    
        
            
        const range = new mdb.Range(document.getElementById('range'));
        
        
    

Via jQuery

Note: By default, MDB does not include jQuery and you have to add it to the project on your own.

        
            
            $(document).ready(() => {
              $('.example-class').range(options);
            });
          
        
    

Methods

Name Description Example
init Initialize a range instance myRange.init()
dispose Disposes a range instance myRange.dispose()
getInstance Static method which allows you to get the range instance associated with a DOM element. Range.getInstance(element)
getOrCreateInstance Static method which returns the range instance associated to a DOM element or create a new one in case it wasn't initialized. Range.getOrCreateInstance(element)
        
            
        const range = document.getElementById('range');
        const rangeInstance = Range.getInstance(range);
        rangeInstance.dispose();
        
        
    
        
            
        const range = document.getElementById('range');
        const rangeInstance = mdb.Range.getInstance(range);
        rangeInstance.dispose();
        
        
    

CSS variables

        
            
        // .range
        --#{$prefix}range-thumb-height: #{$range-thumb-height};
        --#{$prefix}range-thumb-width: #{$range-thumb-width};
        --#{$prefix}range-thumb-top: #{$range-thumb-top};
        --#{$prefix}range-thumb-margin-left: #{$range-thumb-margin-left};
        --#{$prefix}range-thumb-border-radius: #{$range-thumb-border-radius};
        --#{$prefix}range-thumb-transform: #{$range-thumb-transform};
        --#{$prefix}range-thumb-transition: #{$range-thumb-transition};
        --#{$prefix}range-thumb-value-font-size: #{$range-thumb-value-font-size};
        --#{$prefix}range-thumb-value-line-height: #{$range-thumb-value-line-height};
        --#{$prefix}range-thumb-value-color: #{$range-thumb-value-color};
        --#{$prefix}range-thumb-value-font-weight: #{$range-thumb-value-font-weight};
        --#{$prefix}range-thumb-background: #{$range-thumb-background};
        
        
    

SCSS variables

        
            
        $range-thumb-height: 30px;
        $range-thumb-width: 30px;
        $range-thumb-top: -35px;
        $range-thumb-background: $primary;
        $range-thumb-active-background: var(--#{$prefix}primary-bg-subtle);
        $range-thumb-margin-left: -15px;
        $range-thumb-border-radius: 50% 50% 50% 0;
        $range-thumb-transform: scale(0);
        $range-thumb-transition: transform 0.2s ease-in-out;
        $range-thumb-value-font-size: 12px;
        $range-thumb-value-line-height: 30px;
        $range-thumb-value-color: color-contrast($primary);
        $range-thumb-value-font-weight: 500;
        // override default bootstrap values for form range
        $form-range-thumb-bg: $range-thumb-background;
        $form-range-thumb-disabled-bg: var(--#{$prefix}form-control-disabled-bg);

Range

Vue Bootstrap 5 Range

A Range is an interactive component that lets the user swiftly slide through possible values spread over the desired range.

Note: Read the API tab to find all available options and advanced customization


Basic example

The track (the background) and thumb (the value) are both styled to appear the same across browsers. As only Firefox supports “filling” their track from the left or right of the thumb as a means to visually indicate progress, we do not currently support it.

        
            
            <template>
              <MDBRange label="Example range" v-model="range1" />
            </template>
          
        
    
        
            
            <script>
              import { MDBRange } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRange
                },
                setup() {
                  const range1 = ref(50);

                  return {
                    range1
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRange } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const range1 = ref(50);
            </script>
          
        
    

Disabled

Add the disabled boolean attribute on a component to give it a grayed out appearance and remove pointer events.

        
            
            <template>
              <MDBRange label="Example range" disabled />
            </template>
          
        
    
        
            
            <script>
              import { MDBRange } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBRange
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRange } from "mdb-vue-ui-kit";
            </script>
          
        
    

Min and max

Range inputs have implicit values for min and max0 and 100, respectively. You may specify new values for those using the min and max attributes.

        
            
            <template>
              <MDBRange label="Example range" v-model="range2" :min="0" :max="5" />
            </template>
          
        
    
        
            
            <script>
              import { MDBRange } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRange
                },
                setup() {
                  const range2 = ref(3);

                  return {
                    range2
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRange } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const range2 = ref(3);
            </script>
          
        
    

Steps

By default, range inputs “snap” to integer values. To change this, you can specify a step attribute. In the example below, we double the number of steps by using :step="0.5".

        
            
            <template>
              <MDBRange label="Example range" v-model="range3" :min="0" :max="5" :step="0.5" />
            </template>
          
        
    
        
            
            <script>
              import { MDBRange } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRange
                },
                setup() {
                  const range3 = ref(2.5);

                  return {
                    range3
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRange } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const range3 = ref(2.5);
            </script>
          
        
    

GET

UP TO 98% OFF

Check out our bundles and get up to 98% off PRO components.

Import

        
            
          <script>
            import { MDBRange } from "mdb-vue-ui-kit";
          </script>
        
        
    

Properties

Property Type Default Description
disabled Boolean false Disables input
id String unique random id Changes input's id
inputClass String "" Adds input classes
label String "" Changes input label
labelClass String "" Adds input label classes
max Number 100 Sets maximum value
min Number 0 Sets minimum value
step Number 1 Defines range step
tag String "div" Changes input wrapper tag
thumb Boolean true Enables or disables thumb.
thumbClass String "" Adds thumb classes
v-model Number 50 Changes input value with two-way data binding
wrapperClass String "" Adds input wrapper classes

CSS variables

        
            
        // .range
        --#{$prefix}range-thumb-height: #{$range-thumb-height};
        --#{$prefix}range-thumb-width: #{$range-thumb-width};
        --#{$prefix}range-thumb-top: #{$range-thumb-top};
        --#{$prefix}range-thumb-margin-left: #{$range-thumb-margin-left};
        --#{$prefix}range-thumb-border-radius: #{$range-thumb-border-radius};
        --#{$prefix}range-thumb-transform: #{$range-thumb-transform};
        --#{$prefix}range-thumb-transition: #{$range-thumb-transition};
        --#{$prefix}range-thumb-value-font-size: #{$range-thumb-value-font-size};
        --#{$prefix}range-thumb-value-line-height: #{$range-thumb-value-line-height};
        --#{$prefix}range-thumb-value-color: #{$range-thumb-value-color};
        --#{$prefix}range-thumb-value-font-weight: #{$range-thumb-value-font-weight};
        --#{$prefix}range-thumb-background: #{$range-thumb-background};
        
        
    

SCSS variables

        
            
        $range-thumb-height: 30px;
        $range-thumb-width: 30px;
        $range-thumb-top: -35px;
        $range-thumb-background: $primary;
        $range-thumb-active-background: var(--#{$prefix}primary-bg-subtle);
        $range-thumb-margin-left: -15px;
        $range-thumb-border-radius: 50% 50% 50% 0;
        $range-thumb-transform: scale(0);
        $range-thumb-transition: transform 0.2s ease-in-out;
        $range-thumb-value-font-size: 12px;
        $range-thumb-value-line-height: 30px;
        $range-thumb-value-color: color-contrast($primary);
        $range-thumb-value-font-weight: 500;
        // override default bootstrap values for form range
        $form-range-thumb-bg: $range-thumb-background;
        $form-range-thumb-disabled-bg: var(--#{$prefix}form-control-disabled-bg);

Range

Angular Bootstrap 5 Range component

A Range is an interactive component that lets the user swiftly slide through possible values spread over the desired range.

Note: Read the API tab to find all available options and advanced customization


Basic example

Create custom <input type="range"> controls with .form-range. The track (the background) and thumb (the value) are both styled to appear the same across browsers. As only Firefox supports “filling” their track from the left or right of the thumb as a means to visually indicate progress, we do not currently support it.

        
            
            <mdb-range></mdb-range>
          
        
    

Disabled

Add the disabled boolean attribute on an input to give it a grayed out appearance and remove pointer events.

        
            
            <mdb-range [disabled]="true"></mdb-range>
          
        
    

Min and max

Range inputs have implicit values for min and max0 and 100, respectively. You may specify new values for those using the min and max options.

        
            
            <mdb-range [min]="0" [max]="5"></mdb-range>
          
        
    

Steps

By default, range inputs “snap” to integer values. To change this, you can specify a step value. In the example below, we double the number of steps by using [step]="0.5".

        
            
            <mdb-range [min]="0" [max]="5" [step]="0.5"></mdb-range>
          
        
    

GET

UP TO 98% OFF

Check out our bundles and get up to 98% off PRO components.

Range - API


Import

        
            
          import { MdbRangeModule } from 'mdb-angular-ui-kit/range';
          …
          @NgModule ({
            ...
            imports: [MdbRangeModule],
            ...
          })
        
        
    

Inputs

Name Type Default Description
id string '' Specifies the input id
label string '' Specifies the value for label element
name string '' Specifies the input name
value string '' Specifies the input value
disabled boolean '' Specifies if the input should be disabled or not
min number 0 Specifies the minimal value of range slider
max number 100 Specifies the max value of range slider
step number 1 Specifies the step of the range slider

Outputs

Name Type Description
rangeValueChange EventEmitter<any> Emits the actual range slider value after change.
        
            
            <mdb-range (rangeValueChange)="onRangeValueChange($event)"></mdb-range>
            
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              onRangeValueChange(event: any): void {
                console.log('on range value change: ', event);
              }
            }
            
        
    

CSS variables

        
            
        // .range
        --#{$prefix}range-thumb-height: #{$range-thumb-height};
        --#{$prefix}range-thumb-width: #{$range-thumb-width};
        --#{$prefix}range-thumb-top: #{$range-thumb-top};
        --#{$prefix}range-thumb-margin-left: #{$range-thumb-margin-left};
        --#{$prefix}range-thumb-border-radius: #{$range-thumb-border-radius};
        --#{$prefix}range-thumb-transform: #{$range-thumb-transform};
        --#{$prefix}range-thumb-transition: #{$range-thumb-transition};
        --#{$prefix}range-thumb-value-font-size: #{$range-thumb-value-font-size};
        --#{$prefix}range-thumb-value-line-height: #{$range-thumb-value-line-height};
        --#{$prefix}range-thumb-value-color: #{$range-thumb-value-color};
        --#{$prefix}range-thumb-value-font-weight: #{$range-thumb-value-font-weight};
        --#{$prefix}range-thumb-background: #{$range-thumb-background};
        
        
    

SCSS variables

        
            
        $range-thumb-height: 30px;
        $range-thumb-width: 30px;
        $range-thumb-top: -35px;
        $range-thumb-background: $primary;
        $range-thumb-active-background: tint-color($primary, 70%);
        $range-thumb-margin-left: -15px;
        $range-thumb-border-radius: 50% 50% 50% 0;
        $range-thumb-transform: scale(0);
        $range-thumb-transition: transform 0.2s ease-in-out;
        $range-thumb-value-font-size: 12px;
        $range-thumb-value-line-height: 30px;
        $range-thumb-value-color: rgb(255, 255, 255);
        $range-thumb-value-font-weight: 500;
        // override default bootstrap values for form range
        $form-range-thumb-bg: $range-thumb-background;
        $form-range-thumb-active-bg: $range-thumb-active-background;

Range

React Bootstrap 5 Range component

A Range is an interactive component that lets the user swiftly slide through possible values spread over the desired range.

Note: Read the API tab to find all available options and advanced customization


Basic example

The track (the background) and thumb (the value) are both styled to appear the same across browsers. As only Firefox supports “filling” their track from the left or right of the thumb as a means to visually indicate progress, we do not currently support it.

        
            
            import React from 'react';
            import { MDBRange } from 'mdb-react-ui-kit';

            export default function App() { 
              return (
                <MDBRange
                  defaultValue={50}
                  id='customRange'
                  label='Example range'
                />
              );
            }
          
        
    

Disabled

Add the disabled boolean prop on an input to give it a grayed out appearance and remove pointer events.

        
            
            import React from 'react';
            import { MDBRange } from 'mdb-react-ui-kit';

            export default function App() { 
              return (
                <MDBRange disabled id='customRange1' label='Example range' />
              );
            }
          
        
    

Min and max

Range inputs have implicit values for min and max0 and 100, respectively. You may specify new values for those using the min and max props.

        
            
            import React, { useState } from 'react';
            import { MDBRange } from 'mdb-react-ui-kit';

            export default function App() { 
              return (
                <MDBRange
                  defaultValue={3}
                  min='0'
                  max='5'
                  step='0.5'
                  id='customRange3'
                  label='Example range'
                />
              );
            }
          
        
    

Steps

By default, range inputs “snap” to integer values. To change this, you can specify a step value. In the example below, we double the number of steps by using step="0.5".

        
            
            import React from 'react';
            import { MDBRange } from 'mdb-react-ui-kit';
            
            export default function App() { 
              return (
                <MDBRange
                  defaultValue={2.5}
                  min='0'
                  max='5'
                  step='0.5'
                  id='customRange3'
                  label='Example range'
                />
              );
            }
          
        
    

Range - API


Import

        
            
            import { MDBRange } from 'mdb-react-ui-kit';
          
        
    

Properties

MDBRange

Name Type Default Description Example
defaultValue string | number '' Default value of the MDBRange <MDBRange defaultValue='50' />
disabled boolean false Makes the MDBRange disabled <MDBRange disabled />
disableTooltip boolean false Makes the MDBRange tooltip disabled <MDBRange disableTooltip />
id string '' Defines an id for the MDBRange <MDBRange id="inputExample" />
inputRef React.MutableRefObject undefined Reference to input element <MDBRange inputRef={inputReference} />
label React.ReactNode '' Defines a label content for the MDBRange <MDBRange label="Example label" id="inputExample" />
labelId string '' Defines an id for the label <MDBRange label="Example label" labelId="exampleLabel" id="rangeExample" />
labelClass string '' Adds custom classes to the label <MDBRange label="Example label" labelId="exampleLabel" labelClass="test-class" id="rangeExample" />
min string '0' The minimum permitted value MDBRange <MDBRange min='1' />
max string '100' The maximum permitted value for MDBRange <MDBRange max='5' />
name string '' Specifies the name for the MDBRange <MDBRange name="sampleName" label="Example label" id="inputExample" />
step string '1' The stepping interval for MDBRange <MDBRange step='0.5' />
value string | number '' Sets the value for the MDBRange <MDBRange value={value} label="Example label" id="inputExample" />

CSS variables

        
            
        // .range
        --#{$prefix}range-thumb-height: #{$range-thumb-height};
        --#{$prefix}range-thumb-width: #{$range-thumb-width};
        --#{$prefix}range-thumb-top: #{$range-thumb-top};
        --#{$prefix}range-thumb-margin-left: #{$range-thumb-margin-left};
        --#{$prefix}range-thumb-border-radius: #{$range-thumb-border-radius};
        --#{$prefix}range-thumb-transform: #{$range-thumb-transform};
        --#{$prefix}range-thumb-transition: #{$range-thumb-transition};
        --#{$prefix}range-thumb-value-font-size: #{$range-thumb-value-font-size};
        --#{$prefix}range-thumb-value-line-height: #{$range-thumb-value-line-height};
        --#{$prefix}range-thumb-value-color: #{$range-thumb-value-color};
        --#{$prefix}range-thumb-value-font-weight: #{$range-thumb-value-font-weight};
        --#{$prefix}range-thumb-background: #{$range-thumb-background};
        
        
    

SCSS variables

        
            
        $range-thumb-height: 30px;
        $range-thumb-width: 30px;
        $range-thumb-top: -35px;
        $range-thumb-background: $primary;
        $range-thumb-active-background: tint-color($primary, 70%);
        $range-thumb-margin-left: -15px;
        $range-thumb-border-radius: 50% 50% 50% 0;
        $range-thumb-transform: scale(0);
        $range-thumb-transition: transform 0.2s ease-in-out;
        $range-thumb-value-font-size: 12px;
        $range-thumb-value-line-height: 30px;
        $range-thumb-value-color: rgb(255, 255, 255);
        $range-thumb-value-font-weight: 500;
        // override default bootstrap values for form range
        $form-range-thumb-bg: $range-thumb-background;
        $form-range-thumb-active-bg: $range-thumb-active-background;